require ("euhat_base")

step = 5

function left_callback ()
	x, y = eu_cursor_get_position ()
	x = x - step
	eu_cursor_set_position (x, y)
end

function up_callback ()
	x, y = eu_cursor_get_position ()
	y = y - step
	eu_cursor_set_position (x, y)
end

function right_callback ()
	x, y = eu_cursor_get_position ()
	x = x + step
	eu_cursor_set_position (x, y)
end

function down_callback ()
	x, y = eu_cursor_get_position ()
	y = y + step
	eu_cursor_set_position (x, y)
end

function left_button_down_callback ()
	eu_mouse_click_hit (true, 1)
end

replayer = euhat_replayer.get_current () 

replayer:register_key_callback ("A", "left_callback")
replayer:register_key_callback ("W", "up_callback")
replayer:register_key_callback ("D", "right_callback")
replayer:register_key_callback ("S", "down_callback")
replayer:register_key_callback ("Q", "left_button_down_callback")

-- replayer:wait ()
eu_msgbox ("hot key is running, press ESC to abort.")
